package com.siginfo.dao;

import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.apache.ibatis.session.SqlSession;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.siginfo.vo.CrossRoadInfoDetailVO;
import com.siginfo.vo.CrossRoadInfoHeaderVO;
import com.siginfo.vo.CrossRoadInfoListVO;
import com.siginfo.vo.PlanCRHDInfoVO;
import com.siginfo.vo.PlanCROPInfoVO;
import com.siginfo.vo.PlanCRRSInfoVO;
import com.siginfo.vo.PlanCRWDInfoVO;

@Repository
public class SigOpenDao {
	
	@Autowired
	@Resource(name="sqlSessionTemplate_sigopen")
	private SqlSession query;
	
	public List<CrossRoadInfoHeaderVO> getTotalCount(Map<String, Object> paramMap) throws Exception {
		 return query.selectList(paramMap.get("queryTotId").toString(),paramMap);
	}
	
	public List<CrossRoadInfoListVO> listList(Map<String, Object> paramMap) throws Exception {
		 return query.selectList(paramMap.get("queryId").toString(),paramMap);
	}
	
	public List<CrossRoadInfoDetailVO> detailList(Map<String, Object> paramMap) throws Exception {
		 return query.selectList(paramMap.get("queryId").toString(),paramMap);
	}
	
	public List<PlanCRHDInfoVO> crhdList(Map<String, Object> paramMap) throws Exception {
		 return query.selectList(paramMap.get("queryId").toString(),paramMap);
	}
	
	public List<PlanCRWDInfoVO> crwdList(Map<String, Object> paramMap) throws Exception {
		 return query.selectList(paramMap.get("queryId").toString(),paramMap);
	}
	
	public List<PlanCRRSInfoVO> crrsList(Map<String, Object> paramMap) throws Exception {
		 return query.selectList(paramMap.get("queryId").toString(),paramMap);
	}
	
	public List<PlanCROPInfoVO> cropList(Map<String, Object> paramMap) throws Exception {
		 return query.selectList(paramMap.get("queryId").toString(),paramMap);
	}
	
}
